local addon = LibStub("AceAddon-3.0"):NewAddon("Bunnies", "AceConsole-3.0")
local GreatVaultAnywhereLDB = LibStub("LibDataBroker-1.1"):NewDataObject("GreatVaultAnywhere", {
    type = "data source",
    text = "Bunnies!",
     OnTooltipShow = function(tooltip)
          tooltip:SetText("GreatVaultAnywhere")
          tooltip:AddLine("Click to open The Great Vault", 1, 1, 1)
          tooltip:AddLine("/gv to hide/show icon", 1, 1, 1)
          tooltip:AddLine("/greatvault to hide/show icon", 1, 1, 1)
          tooltip:Show()
     end,
    icon = "Interface\\Icons\\Achievement_guildperk_mobilebanking",
    OnClick = function(button,buttonPressed) LoadAddOn("Blizzard_WeeklyRewards"); WeeklyRewardsFrame:Show() end,
})

local icon = LibStub("LibDBIcon-1.0")
 
function addon:OnInitialize()
    self.db = LibStub("AceDB-3.0"):New("GreatVaultAnywhereDB", {
        profile = {
            minimap = {
                hide = false,
            },
        },
    })
    icon:Register("GreatVaultAnywhere", GreatVaultAnywhereLDB, self.db.profile.minimap)
end

function RegisterChatCommand ( Slash )
    addon:RegisterChatCommand( Slash, function ()
	addon:HideVaultIcon()
    end )
end

function addon:HideVaultIcon()
    self.db.profile.minimap.hide = not self.db.profile.minimap.hide
    if self.db.profile.minimap.hide then
        icon:Hide("GreatVaultAnywhere")
    else
        icon:Show("GreatVaultAnywhere")
    end
end

RegisterChatCommand( "gv" )
RegisterChatCommand( "greatvault" )